| API Docs for SAX and DOM |
| Main Page Classes Files Related Pages Alphabetical List Class List Class Hierarchy Class Members # XSAttributeUse Class Reference Inheritance diagram for XSAttributeUse: [legend] List of all members.
## Public Member Functions
Constructors
| XSAttributeUse (XSAttributeDeclaration *const xsAttDecl, XSModel *const xsModel, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor.
Destructor
| ~XSAttributeUse ()
XSAttributeUse methods
bool | getRequired () const
| [required]: determines whether this use of an attribute declaration requires an appropriate attribute information item to be present, or merely allows it.
XSAttributeDeclaration * | getAttrDeclaration () const
| [attribute declaration]: provides the attribute declaration itself, which will in turn determine the simple type definition used.
XSConstants::VALUE_CONSTRAINT | getConstraintType () const
| Value Constraint: one of default, fixed.
const XMLCh * | getConstraintValue ()
| Value Constraint: The actual value.
## Protected Attributes
bool | fRequired
XSConstants::VALUE_CONSTRAINT | fConstraintType
const XMLCh * | fConstraintValue
XSAttributeDeclaration * | fXSAttributeDeclaration
## Friends
class | XSObjectFactory
## Constructor & Destructor Documentation
XSAttributeUse::XSAttributeUse | ( | XSAttributeDeclaration *const | xsAttDecl,
|  | XSModel *const | xsModel,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  |
  The default constructor. Parameters:
  | xsAttDecl |
  | xsModel |
  | manager | The configurable memory manager
XSAttributeUse::~XSAttributeUse | ( |  | ) |
## Member Function Documentation
bool XSAttributeUse::getRequired | ( |  | ) | const
[required]: determines whether this use of an attribute declaration requires an appropriate attribute information item to be present, or merely allows it.
XSAttributeDeclaration * XSAttributeUse::getAttrDeclaration | ( |  | ) | const
[attribute declaration]: provides the attribute declaration itself, which will in turn determine the simple type definition used.
XSConstants::VALUE_CONSTRAINT XSAttributeUse::getConstraintType | ( |  | ) | const
Value Constraint: one of default, fixed.
const XMLCh * XSAttributeUse::getConstraintValue | ( |  | ) |
Value Constraint: The actual value. ## Friends And Related Function Documentation
friend class XSObjectFactory`[friend]`
## Member Data Documentation
bool XSAttributeUse::fRequired`[protected]`
XSConstants::VALUE_CONSTRAINT XSAttributeUse::fConstraintType`[protected]`
const XMLCh* XSAttributeUse::fConstraintValue`[protected]`
XSAttributeDeclaration* XSAttributeUse::fXSAttributeDeclaration`[protected]`
The documentation for this class was generated from the following file: XSAttributeUse.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.